aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbinary_search_tool/android/test_setup.sh6
-rwxr-xr-xbinary_search_tool/binary_search_state.py3
-rwxr-xr-xbinary_search_tool/common/test_setup.sh6
3 files changed, 8 insertions, 7 deletions
diff --git a/binary_search_tool/android/test_setup.sh b/binary_search_tool/android/test_setup.sh
index 985d27f4..26f8ec22 100755
--- a/binary_search_tool/android/test_setup.sh
+++ b/binary_search_tool/android/test_setup.sh
@@ -84,13 +84,15 @@ flash()
echo "1. Debug and/or flash manually"
echo "2. Retry flashing automatically"
echo "3. Abort this installation and skip this image"
+ echo "4. Abort this installation and mark test as failed"
sleep 1
read -p "Which method would you like to do? " choice
case $choice in
1) manual_flash && break;;
2) auto_flash && break;;
- 3) return 1;;
- *) echo "Please answer 1, 2, or 3.";;
+ 3) return 125;;
+ 4) return 1;;
+ *) echo "Please answer 1, 2, 3, or 4.";;
esac
done
}
diff --git a/binary_search_tool/binary_search_state.py b/binary_search_tool/binary_search_state.py
index 8356d93e..a10e90b9 100755
--- a/binary_search_tool/binary_search_state.py
+++ b/binary_search_tool/binary_search_state.py
@@ -293,9 +293,6 @@ class BinarySearchState(object):
status = self.TestSetupScript()
if status == 0:
status = self.TestScript()
- else:
- # Test setup script failed, treat as skipped item
- status = 125
terminated = self.binary_search.SetStatus(status)
if terminated:
diff --git a/binary_search_tool/common/test_setup.sh b/binary_search_tool/common/test_setup.sh
index 7aae9c9c..c4f5f698 100755
--- a/binary_search_tool/common/test_setup.sh
+++ b/binary_search_tool/common/test_setup.sh
@@ -144,13 +144,15 @@ if [[ ${build_status} -eq 0 ]] ; then
echo "1. Flash through USB"
echo "2. Retry flashing over ethernet"
echo "3. Abort this installation and skip this image"
+ echo "4. Abort this installation and mark test as failed"
sleep 1
read -p "Which method would you like to do? " choice
case $choice in
1) usb_flash && break;;
2) ethernet_flash && break;;
- 3) exit 1;;
- *) echo "Please answer 1, 2, or 3.";;
+ 3) exit 125;;
+ 4) exit 1;;
+ *) echo "Please answer 1, 2, 3, or 4.";;
esac
done